// ----------------------------------------------------------------------
// File: tetris_mat.inc
// Vers: 3.6
// Date: 
// Auth: H.A. Camp
//
// Desc: Tetrisesque Include File (contains all the materials) 
//
// ----------------------------------------------------------------------

// ----------------------------------------------------------------------
// Functions
// ----------------------------------------------------------------------

#declare  F = function {pattern {cells}}
//#declare F2 = function {pattern {bozo translate <1,0,1> scale 5 }}
#declare F2 = function {pattern {bozo translate <1,0,1> scale 10 }}
#declare F0 = function { ((x-floor(x))*(1-x+floor(x)) +(y-floor(y))*(1-y+floor(y))  +(z-floor(z))*(1-z+floor(z)))  * 0.66  + F(x,y,z) * 0.5 }

// ----------------------------------------------------------------------
// Materials
// ----------------------------------------------------------------------

#declare HM0 =
material {
  texture {
    pigment { 
      cells
      pigment_map {
        [0.00 rgb <1.0, 0.0, 0.0>]
        [0.50 rgb <1.0, 0.0, 0.0>]
        [0.50 rgb <0.0, 0.0, 1.0>]
        [1.00 rgb <0.0, 0.0, 1.0>]
      }
    }
  }
}


#declare HM1 =
material {
  texture {
    pigment {function {F0(x,y,z)}}
  }
}


#declare HM2 =
material {
  texture {
    pigment {function {F0(x,y,z)}}
  }
  texture {
    pigment { 
      function {F2(x,y,z)}
      pigment_map {
        [0.00 rgbt <1,1,1,1>]
        [0.60 rgbt <1,1,1,1>]
        [0.60 rgbt <0,0,0,0>]
        [0.61 rgbt <0,0,0,1>]
        [1.00 rgbt <0,0,0,1>]
      }
    }
  }
  translate <0.5,0,0.5>
}

#declare HM3 =
material{
  texture{ 
    pigment{ 
      function{F(x,y,z)} 
      pigment_map{
        [0.00 rgb 0.00]
        [0.25 rgb 0.00]
        [0.25 rgb 0.25]
        [0.50 rgb 0.25]
        [0.50 rgb 0.75]
        [0.75 rgb 0.75]
        [0.75 rgb 1.00]
        [1.00 rgb 1.00]
      }
    }
  }
}




